using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Serialexample
{
  partial class PropertyPage : Form
  {
    public string comm_port = "";
    public string bRate;
    public string sBits;

/****************************************************************************
I don't know why he uses the properties; probably it looks "right". So I just
use strings. It does simplify things, no?

If you actually did some checking, the properties'd make sense I guess. I.e.,
verify that bRate is an allowable baud, etc. But we don't; it's in the Combo
box logic.
****************************************************************************/

#if false

    ////variables for storing values of baud rate and stop bits
    private string baudR = "";
    private string stopB = "";

    ////property for setting and getting baud rate and stop bits
    public string bRate
    {
      get
      {
        return baudR;
      }
      set
      {
        baudR = value;
      }
    }

    public string sBits
    {
      get
      {
        return stopB;
      }
      set
      {
        stopB = value;
      }
    }

#endif

/****************************************************************************
****************************************************************************/

    public PropertyPage()
    {
      InitializeComponent();
    }

    private void cancelButton_Click(object sender, EventArgs e)
    {
      bRate = "";
      sBits = "";
      Close();
    }

    private void okButton_Click_1(object sender, EventArgs e)
    {
      ////here we set the value for stop bits and baud rate.
      bRate = BaudRateComboBox.Text;
      sBits = stopBitComboBox.Text;
      comm_port =  comboBox_Port.Text;

      Close();

    }

    private void PropertyPage_Load(object sender, EventArgs e)
    {
      BaudRateComboBox.SelectedItem = bRate;
      stopBitComboBox.SelectedItem = sBits;
      comboBox_Port.SelectedItem = comm_port;

    }

  }
}
